Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.io.shpapi
Class SHPMultiPoint

    java.lang.Object
      org.deegree.io.shpapi.SHPGeometry
          org.deegree.io.shpapi.SHPMultiPoint

    public class SHPMultiPoint

extends SHPGeometry

Class representig a collection of points

Version:
  $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Andreas Poth, last edited by: $Author: mschneider $

Field Summary
`int` | `numPoints`
`SHPPoint[]` | `points`

Fields inherited from class org.deegree.io.shpapi.SHPGeometry
`envelope, recBuffer`

Constructor Summary
`SHPMultiPoint()`
`SHPMultiPoint(byte[] recBuf)` constructor: recieves a stream
`SHPMultiPoint(MultiPoint multipoint)` constructor: recieves an array of gm_points

Method Summary
`int` | `size()` returns the size of the multipoint shape in bytes
`byte[]` | `writeSHPMultiPoint(byte[] bytearray, int start)` loops through the point array and writes each point to the bytearray

Methods inherited from class org.deegree.io.shpapi.SHPGeometry
`getEnvelope`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### points

    public SHPPoint[] points

### numPoints

    public int numPoints

Constructor Detail

### SHPMultiPoint

    public SHPMultiPoint()

### SHPMultiPoint

    public SHPMultiPoint(byte[] recBuf)

  constructor: recieves a stream

  Parameters:
    `recBuf` -

### SHPMultiPoint

    public SHPMultiPoint(MultiPoint multipoint)

  constructor: recieves an array of gm_points

  Parameters:
    `multipoint` -

Method Detail

### writeSHPMultiPoint

    public byte[] writeSHPMultiPoint(byte[] bytearray,
                                     int start)

  loops through the point array and writes each point to the bytearray

  Parameters:
    `bytearray` -
    `start` -
  Returns:
    SHPMultiPoint as byte arry

### size

    public int size()

  returns the size of the multipoint shape in bytes

  Returns:
    size of the byte arry representation

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org